Skip to content

OUI Based VLAN ​

16 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getGridApOuiBasedVlanGETGet Ap oui based vlan list
createApOuiBasedVlanPOSTCreate Ap oui based vlan
deleteApOuiBasedVlanDELETEDelete Ap oui based vlan
modifyApOuiBasedVlanPUTModify Ap oui based vlan
getGridSwitchOuiBasedVlanGETGet Switch oui based vlan list
createSwitchOuiBasedVlanPOSTCreate Switch oui based vlan
deleteSwitchOuiBasedVlanDELETEDelete Switch oui based vlan
modifySwitchOuiBasedVlanPUTModify Switch oui based vlan
getWhetherAllSwitchSupportAutoAddVlanGETGet whether all switches support oui rule auto add vlan.
enableAutoAddVlanPOSTEnable the site and device auto add vlan.
getSwitchListGETGet switch list of supporting oui based vlan
getOuiBasedVlanSwitchListGETGet all oui based vlan switch list.
getWhetherExistAllowAllPortOrLagsForRuleModificationPOSTGet whether exist at least one port or lag with allow all network tags for oui based vlan modification.
getWhetherExistAllowAllPortOrLagsForRuleCreationPOSTGet whether exist at least one port or lag with allow all network tags for oui based vlan creation.
getAllSupportAutoAddVlanSwitchListGETGet switch list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan.
getWhetherSiteOpenAutoAddVlanGETGet whether site open oui rule auto add vlan.

getGridApOuiBasedVlan ​

GET /openapi/v1/{omadacId}/sites/{siteId}/ap-oui-rules

Get Ap oui based vlan list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridApOuiBasedVlan",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Ap oui based vlan list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createApOuiBasedVlan ​

POST /openapi/v1/{omadacId}/sites/{siteId}/ap-oui-rules

Create Ap oui based vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema OuiBasedVlanApOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesAp Rule state.
namestringyesAp Rule name should contain 1 to 128 characters.
ssidIdListarray<string>yesConfigured ssid list.
ruleCombinearray<VlanOuiModeOpenApiVO>yesBasic vlan-oui-priority configuration of oui based vlan rule. Cannot be empty.
json
// omada_call_operation
{
  "operationId": "createApOuiBasedVlan",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Ap oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-33789 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID does not select PPSK.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34225 - When the rule is enabled, the same SSID should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.

deleteApOuiBasedVlan ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/ap-oui-rules/{ouiBasedVlanId}

Delete Ap oui based vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ouiBasedVlanIdpathstringyesOui Based Vlan ID
json
// omada_call_operation
{
  "operationId": "deleteApOuiBasedVlan",
  "params": {
    "siteId": "<siteId>",
    "ouiBasedVlanId": "<ouiBasedVlanId>"
  }
}
Details, permissions and error codes

Delete Ap oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifyApOuiBasedVlan ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/ap-oui-rules/{ouiBasedVlanId}

Modify Ap oui based vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ouiBasedVlanIdpathstringyesOui Based Vlan ID

Request body — application/json (required) — schema OuiBasedVlanApOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesAp Rule state.
namestringyesAp Rule name should contain 1 to 128 characters.
ssidIdListarray<string>yesConfigured ssid list.
ruleCombinearray<VlanOuiModeOpenApiVO>yesBasic vlan-oui-priority configuration of oui based vlan rule. Cannot be empty.
json
// omada_call_operation
{
  "operationId": "modifyApOuiBasedVlan",
  "params": {
    "siteId": "<siteId>",
    "ouiBasedVlanId": "<ouiBasedVlanId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Ap oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-33789 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID does not select PPSK.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34225 - When the rule is enabled, the same SSID should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.

getGridSwitchOuiBasedVlan ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules

Get Switch oui based vlan list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridSwitchOuiBasedVlan",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get Switch oui based vlan list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

createSwitchOuiBasedVlan ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules

Create Switch oui based vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema OuiBasedVlanSwitchOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesSwitch Rule state.
namestringyesSwitch Rule name should contain 1 to 128 characters.
modeintegeryesSwitch Rule type. 0:"All device port", 1:"Custom device port"
deviceListarray<DeviceOuiModeOpenApiVO>noWhen mode is 1, should configure device info.
ruleCombinearray<VlanOuiModeOpenApiVO>yesBasic vlan-oui-priority configuration of oui based rule. Cannot be empty.
json
// omada_call_operation
{
  "operationId": "createSwitchOuiBasedVlan",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create Switch oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-34219 - The rule for all device ports has been created in Rules.
-34220 - The rule for all device ports and the rule for custom device ports should not be enabled simultaneously.
-34223 - When the rule enabled, the same VLAN should not be bound with the same device port/LAG in different rules. Please check the settings.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34227 - When the rule is enabled, the same OUI on the same device should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
-34230 - When the rule for all device ports is created, devices with old firmware should not be configured in rules for custom device ports.

deleteSwitchOuiBasedVlan ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/{ouiBasedVlanId}

Delete Switch oui based vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ouiBasedVlanIdpathstringyesOui Based Vlan ID
json
// omada_call_operation
{
  "operationId": "deleteSwitchOuiBasedVlan",
  "params": {
    "siteId": "<siteId>",
    "ouiBasedVlanId": "<ouiBasedVlanId>"
  }
}
Details, permissions and error codes

Delete Switch oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

modifySwitchOuiBasedVlan ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/{ouiBasedVlanId}

Modify Switch oui based vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ouiBasedVlanIdpathstringyesOui Based Vlan ID

Request body — application/json (required) — schema OuiBasedVlanSwitchOpenApiVO

FieldTypeRequiredDescription
enablebooleanyesSwitch Rule state.
namestringyesSwitch Rule name should contain 1 to 128 characters.
modeintegeryesSwitch Rule type. 0:"All device port", 1:"Custom device port"
deviceListarray<DeviceOuiModeOpenApiVO>noWhen mode is 1, should configure device info.
ruleCombinearray<VlanOuiModeOpenApiVO>yesBasic vlan-oui-priority configuration of oui based rule. Cannot be empty.
json
// omada_call_operation
{
  "operationId": "modifySwitchOuiBasedVlan",
  "params": {
    "siteId": "<siteId>",
    "ouiBasedVlanId": "<ouiBasedVlanId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify Switch oui based vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33779 - This OUI profile does not exist.
-34219 - The rule for all device ports has been created in Rules.
-34220 - The rule for all device ports and the rule for custom device ports should not be enabled simultaneously.
-34223 - When the rule enabled, the same VLAN should not be bound with the same device port/LAG in different rules. Please check the settings.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34227 - When the rule is enabled, the same OUI on the same device should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
-34230 - When the rule for all device ports is created, devices with old firmware should not be configured in rules for custom device ports.

getWhetherAllSwitchSupportAutoAddVlan ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/auto-add-vlan-all-support

Get whether all switches support oui rule auto add vlan.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getWhetherAllSwitchSupportAutoAddVlan",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get whether all switches support oui rule auto add vlan.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

enableAutoAddVlan ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/enable-auto-add-vlan

Enable the site and device auto add vlan.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "enableAutoAddVlan",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Enable the site and device auto add vlan.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify

getSwitchList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/support-device

Get switch list of supporting oui based vlan

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
namequerystringnoSwitch name. Support fuzzy search
json
// omada_call_operation
{
  "operationId": "getSwitchList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get switch list of supporting oui based vlan
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getOuiBasedVlanSwitchList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/switches

Get all oui based vlan switch list.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getOuiBasedVlanSwitchList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get all oui based vlan switch list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getWhetherExistAllowAllPortOrLagsForRuleModification ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/switches/{ouiBasedVlanId}/check

Get whether exist at least one port or lag with allow all network tags for oui based vlan modification.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ouiBasedVlanIdpathstringyesOui Based Vlan ID

Request body — application/json (required) — schema OuiBasedVlanRuleVO

FieldTypeRequiredDescription
idstringno
enablebooleanyes
namestringyes
modeintegerno
typeintegeryes
ruleInterfacearray<integer>no
ssidListarray<SsidOuiModeVO>no
ssidIdListarray<string>no
deviceListarray<DeviceOuiModeVO>no
ruleCombinearray<VlanOuiModeVO>yes
excludeDeviceListarray<OuiBasedVlanDeviceInfoVO>no
resourceintegerno
json
// omada_call_operation
{
  "operationId": "getWhetherExistAllowAllPortOrLagsForRuleModification",
  "params": {
    "siteId": "<siteId>",
    "ouiBasedVlanId": "<ouiBasedVlanId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get whether exist at least one port or lag with allow all network tags for oui based vlan modification.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getWhetherExistAllowAllPortOrLagsForRuleCreation ​

POST /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/switches/check

Get whether exist at least one port or lag with allow all network tags for oui based vlan creation.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema OuiBasedVlanRuleVO

FieldTypeRequiredDescription
idstringno
enablebooleanyes
namestringyes
modeintegerno
typeintegeryes
ruleInterfacearray<integer>no
ssidListarray<SsidOuiModeVO>no
ssidIdListarray<string>no
deviceListarray<DeviceOuiModeVO>no
ruleCombinearray<VlanOuiModeVO>yes
excludeDeviceListarray<OuiBasedVlanDeviceInfoVO>no
resourceintegerno
json
// omada_call_operation
{
  "operationId": "getWhetherExistAllowAllPortOrLagsForRuleCreation",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get whether exist at least one port or lag with allow all network tags for oui based vlan creation.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getAllSupportAutoAddVlanSwitchList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/switches/support-auto-add-vlan

Get switch list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
namequerystringnoSwitch name. Support fuzzy search
json
// omada_call_operation
{
  "operationId": "getAllSupportAutoAddVlanSwitchList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get switch list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getWhetherSiteOpenAutoAddVlan ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switch-oui-rules/whether-auto-add-vlan

Get whether site open oui rule auto add vlan.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getWhetherSiteOpenAutoAddVlan",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get whether site open oui rule auto add vlan.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.